Subject: Re: bug#38807: [Feature request]: Support lisp workers like web workers.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jan 2020 16:26:43 +0200

> From: arthur miller <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 3 Jan 2020 13:35:49 +0000
> 
> I mean that emacsclient is sort of rendering thread while Emacs server is sort of hard working part.

No, it isn't.  emacsclient just sends a command to Emacs telling it to
visit a file and display it in a frame.  All the rendering is done by
the "server", i.e. Emacs itself.

> I have honestly never looked at the code for server/client so I don't know how separation is done.

It's easy to see that by reading server.el.